Subject: [Megaco] Wildcarded Action Reply

From: Ron Stoughton <[email-masked]>
Date: Thu, 27 Jun 2002 17:37:23 -0400

Greeting Megaconians:

If our MG desires to take an interface out of service that has active
circuits engaged in calls on it, it very likely would send a command to the
MGC that looks like the following:

    MEGACO/2 <mg1.acc.com>:16384
    Transaction = 6 {
	    Context = - {
		    W-ServiceChange = DS1/3/1/* {
			    Services {
				    Method = Forced,
				    Reason = 905
			    }
		    }
	    }
	    Context = * {
		    W-ServiceChange = DS1/3/1/* {
			    Services {
				    Method = Forced,
				    Reason = 905
			    }
		    }
	    }
    }

My question is, what should I expect the transaction reply to look like?  I
would prefer to receive something like the following:

    MEGACO/2 <xanadu>:2944
    Reply = 6 {
	    Context = - {
		    ServiceChange = DS1/3/1/*
          },
	    Context = * {
		    ServiceChange = DS1/3/1/*
          }
    }

However, the ABNF does not appear to provide a way to ask for a wildcarded
action reply (e.g. by sending "W-Context = *"), so I think I am more likely
to get something like:

    MEGACO/2 <mgc.acc.com>:2944
    Reply = 6 {
	    Context = - {
		    ServiceChange = DS1/3/1/*
          },
	    Context = 2 {
		    ServiceChange = DS1/3/1/3
          },
	    Context = 5 {
		    ServiceChange = DS1/3/1/11
          },
	    Context = 6 {
		    ServiceChange = DS1/3/1/13
          },
	    Context = 9 {
		    ServiceChange = DS1/3/1/14
          }
    }

assuming the MG has 4 active terminations on the interface.

Is there any way to request a wildcarded reply?

Ron Stoughton
[email-masked]

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco